package com.steerinfo.ems.rttable.mapper;

import com.steerinfo.ems.rttable.model.Rttable;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;

@Mapper
public interface RttableMapper extends IBaseMapper<Rttable, BigDecimal> {

    int insertPowerTenMinutes(HashMap<String, Object> HashMap);

    int updatePowerTenMinutes(HashMap<String, Object> HashMap);

    int updatePowerMinutes(HashMap<String, Object> HashMap);

    List<Rttable> selectPowerAltId();

    List<Rttable> selectElectricAltId();
}